<?php
ini_set('display_errors',0); 
##################### Класс борьбы с SQL атаками ################
include_once("inclydings/sql.php");

$stop_injection = new InitVars();
$stop_injection->checkVars();
#########################################################
if (!ini_get("register_globals"))
{
@import_request_variables('GPC');
}
foreach ($_GET as $secvalue)
{
if ((eregi("<[^>]*script*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*object*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*php*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*iframe*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*applet*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*meta*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*style*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*form*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*img*\"?[^>]*>", $secvalue)) || (eregi("\([^>]*\"?[^)]*\)", $secvalue)) || (eregi("\"", $secvalue)) || (eregi("[\/]", $secvalue)) || (eregi("[\\]", $secvalue)) || (eregi("[<]", $secvalue)) || (eregi("[>]", $secvalue)) || (eregi("[#]", $secvalue)) || (eregi("[$]", $secvalue)))
{
die ("Попытка взлома! <b>Доступ закрыт!</b>");
}
}
foreach ($_POST as $secvalue)
{
if ((eregi("<[^>]*script*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*object*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*php*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*iframe*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*applet*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*meta*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*style*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*form*\"?[^>]*>", $secvalue)) || (eregi("<[^>]*img*\"?[^>]*>", $secvalue)) || (eregi("\([^>]*\"?[^)]*\)", $secvalue)) || (eregi("\"", $secvalue)) || (eregi("[\/]", $secvalue)) || (eregi("[\\]", $secvalue)) || (eregi("[<]", $secvalue)) || (eregi("[>]", $secvalue)) || (eregi("[#]", $secvalue)) || (eregi("[$]", $secvalue)))
{
die ("Программе передан запрещённый символ. <b>Доступ закрыт!</b>");
}
}

if(strlen($_SERVER['QUERY_STRING'])>150)
{
die("Попытка взлома!<br><b>Доступ закрыт!</b>");
}
if(!file_exists('L2dbnam/esql2db/lic.dat')){
echo'Отстутствует лицензия для домена '.$_SERVER['HTTP_HOST'].'!<br>
Для подключения лицензии обратитесь к автору скрипта Favorit!
';
exit();
}else{
$switch = @file("L2dbnam/esql2db/lic.dat");
$tidw = explode("|", $switch[0]);
$site = $_SERVER['HTTP_HOST'];
$unpar = ByFavorit;
if($tidw[0] != $unpar) {
echo'Отстутствует лицензия для домена '.$_SERVER['HTTP_HOST'].'!<br>
Для подключения лицензии обратитесь к автору скрипта Favorit!
';
exit();
}}
?>
